Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class NewScalarAttributeDialog

Object
org.eclipse.swt.widgets.Dialog
hdf.view.dialog.NewDataObjectDialog
hdf.view.dialog.NewScalarAttributeDialog

public class NewScalarAttributeDialog extends NewDataObjectDialog
NewScalarAttributeDialog displays components for adding a new attribute.

Version:
  2.4 1/7/2016
Author:
  Jordan T. Henderson

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_STRING_ATTRIBUTE_LENGTH`
  the default length of a string attribute
  `protected org.eclipse.swt.widgets.Text`
  `nameField`
  TextField for entering the name of the attribute

  ### Fields inherited from class hdf.view.dialog.NewDataObjectDialog

  `arrayLengthLabel, checkUnsigned, classChoice, curFont, endianChoice, fileFormat, isEnum, isH5, isVLen, isVlenStr, lengthField, namedChoice, namedList, newObject, objList, parentObj, refObject, shell, sizeChoice, strEnumMap, tclass, torder, tsign, tsize, useCommittedType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewScalarAttributeDialog(org.eclipse.swt.widgets.Shell parent, HObject pObject, List<HObject> objs)`
  Constructs a NewScalarAttributeDialog with specified object (dataset, group, or image) for the new attribute to be attached to.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Attribute`
  `getAttribute()`
  `void`
  `open()`
  Open the NewScalarAttributeDialog for adding a new attribute.

  ### Methods inherited from class hdf.view.dialog.NewDataObjectDialog

  `createDatatypeWidget, createNewDatatype, getObject, getParentGroup`

  ### Methods inherited from class org.eclipse.swt.widgets.Dialog

  `checkSubclass, getParent, getStyle, getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_STRING_ATTRIBUTE_LENGTH

    public static final int DEFAULT_STRING_ATTRIBUTE_LENGTH
    the default length of a string attribute
    See Also:
      - Constant Field Values

  - ### nameField

    protected org.eclipse.swt.widgets.Text nameField
    TextField for entering the name of the attribute

- ## Constructor Details

  - ### NewScalarAttributeDialog

    public NewScalarAttributeDialog(org.eclipse.swt.widgets.Shell parent, HObject pObject, List<HObject> objs)
    Constructs a NewScalarAttributeDialog with specified object (dataset, group, or image) for the new attribute to be attached to.
    Parameters:
      `parent` - the parent shell of the dialog
      `pObject` - the parent object which the new attribute is attached to.
      `objs` - the list of all objects.

- ## Method Details

  - ### open

    public void open()
    Open the NewScalarAttributeDialog for adding a new attribute.

  - ### getAttribute

    public Attribute getAttribute()
    Returns:
      the new attribute created.